package com.example.assignment1;

import android.content.Context;
import android.content.SharedPreferences;

public class MaxCountSharedPreferenceHelper {

        private SharedPreferences sharedPreferences;

        public MaxCountSharedPreferenceHelper(Context context) {
            sharedPreferences = context.getSharedPreferences("MaximumCount", Context.MODE_PRIVATE);
        }

        public void saveMaxCount(String max_count) {
            SharedPreferences.Editor editor = sharedPreferences.edit();
            editor.putString("MaximumCount", max_count);
            editor.apply();
        }

        public String getMaxCount() {
            return sharedPreferences.getString("MaximumCount", null);
        }
}
