package com.example.assignment1;


import android.content.Context;
import android.content.SharedPreferences;


public class CounterButtonSharedPreferenceHelper {

    private SharedPreferences sharedPreferences;

    public CounterButtonSharedPreferenceHelper(Context context, CounterButton counterButton) {
        sharedPreferences = context.getSharedPreferences(counterButton.getCounterButton(), Context.MODE_PRIVATE);
    }

    public void saveCounterButtonName(CounterButton counterButton, String eventButtonName) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putString(counterButton.getCounterButton(), eventButtonName);
        editor.apply();
    }

    public String getCounterButtonName(CounterButton counterButton) {
        return sharedPreferences.getString(counterButton.getCounterButton(), null);
    }
}